| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sFile Struct Reference

Directory entry in the instrument's file system. More...

`#include <THM1176Types.h>`

## Public Member Functions
| sFile (size_t S=0, std::string P="", std::string T="")
| Constructor.
void | clear ()
| Clear to default values.
bool | operator== (sFile other) const
| Equality operator.
bool | operator!= (sFile other) const
| Inequality operator.

## Public Attributes
size_t | Size = 0
| File size, in bytes.
std::string | Path
| File path.
std::string | Type
| File type ("ASCII" or "BINARY").

## Detailed Description

Directory entry in the instrument's file system.

Definition at line 513 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sFile()

MTL::Instrument::THM1176Types::sFile::sFile | ( | size_t | S = 0,
|  | std::string | P = "",
|  | std::string | T = "" )
| inline

Constructor.

Parameters

  [in] | S | File size, in bytes.
  [in] | P | File path.
  [in] | T | File type ("ASCII" or "BINARY").

Definition at line 524 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

void MTL::Instrument::THM1176Types::sFile::clear | ( |  | ) |

Clear to default values.

Definition at line 308 of file THM1176Types.cpp.

## ◆ operator!=()

bool MTL::Instrument::THM1176Types::sFile::operator!= | ( | sFile | other | ) | const

Inequality operator.

Definition at line 322 of file THM1176Types.cpp.

## ◆ operator==()

bool MTL::Instrument::THM1176Types::sFile::operator== | ( | sFile | other | ) | const

Equality operator.

Definition at line 314 of file THM1176Types.cpp.

## Member Data Documentation

## ◆ Path

std::string MTL::Instrument::THM1176Types::sFile::Path

File path.

Definition at line 516 of file THM1176Types.h.

## ◆ Size

size_t MTL::Instrument::THM1176Types::sFile::Size = 0

File size, in bytes.

Definition at line 515 of file THM1176Types.h.

## ◆ Type

std::string MTL::Instrument::THM1176Types::sFile::Type

File type ("ASCII" or "BINARY").

Definition at line 517 of file THM1176Types.h.

The documentation for this struct was generated from the following files:

- THM1176InstrumentDriver/include/THM1176Types.h
- THM1176InstrumentDriver/src/THM1176Types.cpp